Upgrading to 2.0

Introduction

This document lists the steps necessary to upgrade from 1.4.x to 2.0.

The full list of changes can be found in the Changelog.

Steps

1. Upgrade your Python to 3.6+

The 2.0 release dropped support for Python 3.5.

Before upgrading, make sure you are running on Python 3.6 or above.

2. Upgrade your Django to 2.2+

To 2.0 release dropped official support for Django 2.0 and Django 2.1, which have both reached EOL (see Django: Supported Versions). Django 2.2 is still supported, and support for Django 3.0 was added.

While we there are no internal changes due to this change, you should make sure you are running on Django 2.2 or above before upgrading.